<style type="text/css">
    .amount{
        text-align: right;
    }
    
    .btn-group button {
        height:30px;}
    
    button {
        margin-left:2px;
    }
   
    #content .wrap #grid_content_1 .row-fluid.scRow .row-fluid.scRow .span12.scCol #grid_block_5 .content.np #listDetails tbody #trInfos td .row-fluid .controls-row .span3 {
        font-size: 11px;
        color: #000;
        font-weight: bold;
    }
    .test {
        font-size: 10px;
    }
    .span3 {
        font-size: 10px;
    }
    tbody {
        font-size: 10px;
    }
    #content .wrap #grid_content_1 .row-fluid.scRow .row-fluid.scRow .span12.scCol #grid_block_6 .content.np #listCharge tbody #trInfosCharge td .row-fluid .controls-row .span3 {
        font-weight: bold;
    }
</style>
<script type="application/javascript">
			
$(document).ready(function(){
	$('select').select2();
	$.each($(".select2-container"), function (i, n) {
            $(n).next().show().fadeTo(0, 0).height("0px").css("left", "auto"); // make the original select visible for validation engine and hidden for us
            $(n).prepend($(n).next());
            $(n).delay(500).queue(function () {
                $(this).removeClass("validate[required]"); //remove the class name from select2 container(div), so that validation engine dose not validate it
                $(this).dequeue();
            });
        });	
        jQuery('.datepicker2').datepicker({
                dateFormat : 'dd-mm-yy',
                changeMonth : true,
                changeYear : true
        });
});


function loadSupplierDefaultValue(me){
$('#currency').attr("value",'');
$('#exchange_rate').attr("value",'');
$.ajax({
    type: "POST",
    data: "supplier="+ $("#supplier option:selected").val(),
    url: "<?php echo base_url() ?>purchasetransaction/loadSupplierDefaultValue",
    success: function(data) {
             var resul = eval ("(" + data + ")"); 
            $('#currency').attr("value",resul.records[0].currency);
            $('#exchange_rate').attr("value",resul.records[0].exchangeRate);
    }
});
}

function refreshSupplier(){
$.ajax({
    type: "POST",
    url: "<?php echo base_url() ?>purchasetransaction/refreshSupplier",
    success: function(data) {

       var resul = eval ("(" + data + ")"); 
var n=resul.records.length;
var i=0;
var opt='' +
    '<option></option>';
for (i=0;i<n;i++)
opt=opt + '<option value="' + resul.records[i].id + '">' + resul.records[i].supplierName + '</option>';
            $('#supplier').empty();
$('#supplier').append(opt);
    }
});

}




/**function getItemCode(me){
$.ajax({
    type: "POST",
    data: "itemCode="+$(me).val(),
    url: "<?php echo base_url() ?>purchasetransaction/getItemCodes",
    success: function(data) {
       $("#itemcode").attr("data-source", data);
    }
});
}  */

function refreshTerms(){
   $.ajax({
    type: "POST",
    url: "<?php echo base_url() ?>purchasetransaction/refreshTerms",
    success: function(data) {

       var resul = eval ("(" + data + ")"); 
var n=resul.records.length;
var i=0; 
var opt='' +
    '<option></option>';
for (i=0;i<n;i++)
opt=opt + '<option value="' + resul.records[i].id + '">' + resul.records[i].termName + '</option>';
            $('#term').empty();
$('#term').append(opt);
    }
});

}

function refreshProject(){
 $.ajax({
    type: "POST",
    url: "<?php echo base_url() ?>purchasetransaction/refreshProject",
    success: function(data) {

       var resul = eval ("(" + data + ")"); 
var n=resul.records.length;
var i=0;
var opt='' +
    '<option></option>';
for (i=0;i<n;i++)
opt=opt + '<option value="' + resul.records[i].id +'">' + resul.records[i].projectName + '</option>';
            $('#project').empty();
$('#project').append(opt);
    }
});
} 


function getTermDescription(me){
$.ajax({
    type: "POST",
    data: "term="+ me.value,
    url: "<?php echo base_url() ?>purchasetransaction/getTermDescription",
    success: function(data) {
            $('#termDescription').html(data);
    }
});
}


function saveParchaseRow(){

 if( $("#parchaseDetailForm").validationEngine('validate')){
 if ( $("#purchaseInvoiceId").val()=="null"){
    getTotal();
    $.ajax({
    type: "POST",
    data: {
            shippingMethodID : $("#shippingmethod").val(),
            employeeID : $("#purchaser").val(),
            memo : $("#memo").val(),
              totalPayable : accounting.unformat($("#totalpayable").val()), 
              totalTaxAmount :  accounting.unformat($("#totalamount").val()),
              supplierID : $("#supplier").val(),
              locationID :  $("#location").val(),
              formNo : $("#formNo").val(),
              invoiceDate: $("#createdDate").val(),
              supplierInvoiceNo : $("#supinvoicenumber").val(),
              projectID: $("#project").val(),
              termsID: $("#term").val(),
              currencyID: $("#currency").val(),
              exchangeRate : $("#exchange_rate").val(),
              shipToID : $("#shiptoAddress").val(),
              lineNo : $("#listDetails").attr("data-currentRow")*1 +1,
              itemID:  $("#itemComboList").val(),
              itemdescription: $("#itemdes").val(),
              quantity : $("#itemqte").val(),
              unitPrice: accounting.unformat($("#itemunitprice").val()),
              amountExcludedTax: accounting.unformat($("#itemAmountET").val()),
              taxAmount: accounting.unformat($("#itemTaxAmount").val()),
              amountIncludeTax: accounting.unformat($("#itemAmountIT").val()),
              taxID: $("#itemTax").attr("data-taxid"),
              taxRate: $("#itemTax").val()

            },
     url: "<?php echo base_url() ?>purchasetransaction/savePurchaseRow",
     success: function(data) {
     var resul = eval ("(" + data + ")"); 
      $("#purchaseInvoiceId").val(resul.invoiceID);
      $(''+
       '<tr>  <td>' +  ($("#listDetails").attr("data-currentRow")*1 +1) + '</td>' +
              '<td>' +  $("#itemComboList option:selected").text() + '</td>'+
              '<td>' + $("#itemdes").val() + '</td>'+
              '<td class="amount">' + accounting.formatNumber($("#itemunitprice").val(),2) + '</td>'+
              '<td>' + $("#itemqte").val() + '</td>'+
              '<td class="amount">' + accounting.formatNumber($("#itemAmountET").val(),2) + '</td>'+
              '<td>' + $("#displayTaxCode").text() + " | " + $("#itemTax").val() + '</td>'+
              '<td class="amount">' + accounting.formatNumber($("#itemTaxAmount").val(),2) + '</td>'+
              '<td>' + $("#itemAmountIT").val() + '</td>'+
              '<td>'+
              '</td>'+
          '</tr>'
            ).insertBefore( "#trInfos" );
            var op =$("#listDetails").attr("data-currentRow")*1;
            $("#listDetails").attr("data-currentRow", op +1);
            $("#btnCancel").trigger("click");
            $("#calcul").trigger( "click" );
            getTotal();
          /*  $.ajax({
              type: "POST",
              data: {
                        invoiceId : $("#purchaseInvoiceId").val(),
                        totalPayable : accounting.unformat($("#totalpayable").val()), 
                        totalTaxAmount : accounting.unformat( $("#totalamount").val())
                      },
              url: "<?php echo base_url() ?>purchasetransaction/updateInvoice",
              success: function(data) {
                       //update the invoice after delete
                      }
              });*/
   msg (1,"alert alert-success","Details successfully saved");
    } //end function
});//end ajax
}else{
    $.ajax({
    type: "POST",
    data: {
              invoiceId : $("#purchaseInvoiceId").val(),

              itemID:  $("#itemComboList").val(),
              itemdescription: $("#itemdes").val(),
              quantity : $("#itemqte").val(),
              lineNo : $("#listDetails").attr("data-currentRow")*1 +1,
              unitPrice: accounting.unformat($("#itemunitprice").val()),
              amountExcludedTax: accounting.unformat($("#itemAmountET").val()),
              taxAmount: accounting.unformat($("#itemTaxAmount").val()),
              amountIncludeTax: accounting.unformat($("#itemAmountIT").val()),
              taxID: $("#itemTax").attr("data-taxid"),
              taxRate: $("#itemTax").val()

            },
    url: "<?php echo base_url() ?>purchasetransaction/saveParchaseDetail",
    success: function(data) {
     msg (1,"alert alert-success","Details successfully saved");
      var resul = eval ("(" + data + ")"); 
$(''+
     '<tr>  <td>' +  ($("#listDetails").attr("data-currentRow")*1 +1) + '</td>' +
            '<td>' +  $("#itemComboList option:selected").text() + '</td>'+
            '<td>' + $("#itemdes").val() + '</td>'+
            '<td class="amount">' + accounting.formatNumber($("#itemunitprice").val(),2) + '</td>'+
            '<td >' + $("#itemqte").val() + '</td>'+
            '<td class="amount">' + accounting.formatNumber($("#itemAmountET").val(),2) + '</td>'+
            '<td>' + $("#displayTaxCode").text() + " | " +  $("#itemTax").val() + '</td>'+
            '<td class="amount">' + accounting.formatNumber($("#itemTaxAmount").val(),2) + '</td>'+
            '<td>' + $("#itemAmountIT").val() + '</td>'+
            '<td>'+
            '</td>'+
    '</tr>'
).insertBefore( "#trInfos" );
var op =$("#listDetails").attr("data-currentRow")*1;
$("#listDetails").attr("data-currentRow", op +1);
$("#btnCancel").trigger("click");
    $( "#calcul" ).trigger( "click" );
    getTotal();
    /* $.ajax({
      type: "POST",
      data: {
                    invoiceId : $("#purchaseInvoiceId").val(),
                    totalPayable : accounting.unformat($("#totalpayable").val()), 
                    totalTaxAmount :  accounting.unformat($("#totalamount").val())
              },
      url: "<?php echo base_url() ?>purchasetransaction/updateInvoice",
      success: function(data) {
               //update the invoice after delete
              }
      }); */
}
}); //end ajax
} //end if data valide
}else {
    msg (1,"alert alert-error", "Data incorrect or invalid ...");
}
$( "#calcul" ).trigger( "click" );
}

function deleteCompanyDetail(me){
$('#popupModal').modal('show');
$("#_popupTitle").html("Confirm delete");
$("#_popupContent").html("Your about to delete definively this row. <br/> Click on ok to confirm");

$('#_popupFooter').empty();
$('#_popupFooter').append('<button class="btn btn-small btn-danger" id="detButton">Ok</button>' +
'<button class="btn btn-small" id="canb">Cancel</button>');
$("#_popupTitle").html("Confirm delete");
$( "#canb" ).click(function() {
    $('#popupModal').modal('hide');
});
$( "#detButton" ).click(function() {
    $('#popupModal').modal('hide');
    $.ajax({
    type: "POST",
    data: "detailsId="+ $(me).attr("data-detailid"),
    url: "<?php echo base_url() ?>purchasetransaction/deleteCompanyDetails",
    success: function(data) {
            msg (1,"alert alert-success","Data deleted succesfuly ...");
            var td=me.parentNode;
            var tr=td.parentNode;
            var tBody=tr.parentNode;
            tBody.removeChild(tr);
            getTotal();
            $.ajax({
              type: "POST",
              data: {
                        invoiceId : $("#purchaseInvoiceId").val(),
                            totalPayable : $("#totalpayable").val(), 
                        totalTaxAmount :  $("#totalamount").val()
                      },
              url: "<?php echo base_url() ?>purchasetransaction/updateInvoice",
              success: function(data) {
                       //update the invoice after delete
                      }
              });
            }
    });
});

$( "#calcul" ).trigger( "click" );
}

/**function getItemDetails(me){
$("#itemname").val("");
$("#itemdes").val("");
$.ajax({
    type: "POST",
    data: "code="+ me.value,
    url: "<?php echo base_url() ?>purchasetransaction/getItemDetails",
    success: function(data) {
            if(data!="item Not found"){
                     var resul = eval ("(" + data + ")");
                    $("#itemname").val(resul.name);
                    $("#itemdes").val(resul.description);
                    $("#itemTax").val(resul.tax);
                    $("#itemTax").attr("data-taxid",resul.taxID);
                    $("#displayTaxCode").text(resul.taxcode); 
            }else{
                    $("#itemdes").attr("placeholder",data);
                    $("#itemname").attr("placeholder",data);
                    $("#itemTax").val("");
                    $("#itemTaxAmount").val("");
                    $("#itemAmountIT").val("");
                    $("#itemTax").attr("data-taxid",""); 
                    $("#displayTaxCode").html("");
                    }
    }
});
}
 */
function calculamountET(){
if  ($("#totalamount").val()=="NaN"){

$("#totalamount").val("0");

$("#impotpayable").val("0");

$("#totalpayable").val("0");
}
//if ($("#itemTax").attr("data-taxid")=="") {
//    taxPopup ();
//}
var j_itemAmountET =accounting.unformat($("#itemunitprice").val())*accounting.unformat($("#itemqte").val());
$("#itemAmountET").val(accounting.formatNumber(j_itemAmountET,2));
var j_itemTaxAmount=j_itemAmountET*$("#itemTax").val()/100;
$("#itemTaxAmount").val(accounting.formatNumber(j_itemTaxAmount,2));
$("#itemAmountIT").val(accounting.formatNumber(j_itemTaxAmount+j_itemAmountET,2));


}
    function displaysItemDefaultValue(){
        $("#itemdes").val($("#itemComboList option:selected").attr("data-desc"));
        $("#itemunitprice").val(accounting.formatNumber($("#itemComboList option:selected").attr("data-price"),2));
        $("#itemTax").val($("#itemComboList option:selected").attr("data-taxPercentage"));
        $("#itemTax").attr("data-taxid",$("#itemComboList option:selected").attr("data-taxid"));
        $("#displayTaxCode").text($("#itemComboList option:selected").attr("data-taxcode"));
    }
    
    function addRowInvoice(){
       if (!$("#itemComboList").length) {
            $(''+
                 '<tr><td class="span1">' + ($("#listDetails").attr("data-currentRow")*1 + 1) + '</td>'+
                    '<td class="span2" >' +
                        '<select id="itemComboList" class="span12" onchange="displaysItemDefaultValue()"><option></option>' +
<?php
if ($items) {
    foreach ($items as $row) {
        ?>
                                    '<option data-desc= "<?php echo $row->description; ?>" data-price= "<?php echo $row->supplierPrice; ?>" \n\
                                        data-taxid="<?php echo $row->inputTaxID; ?>" data-taxcode="<?php echo $row->inputTaxCode; ?>" \n\
                                        data-taxPercentage="<?php echo $row->inputTaxPercentage; ?>" value="<?php echo $row->ID; ?>"><?php
        echo str_replace("'", " ", $row->name, $count)
        . " [" . str_replace("'", " ", $row->itemCode, $count) . "]";
        ?></option>'+
    <?php }
}
?>
                        '</select></td>' +
                        '<td class="span2"><input id="itemdes" name="itemdes" class="span12 validate[required]" type="text" placeholder="Description"></td>'+
                        '<td class="span1"><input id="itemunitprice" onkeyup="calculamountET()" name="itemunitprice" class="span12 amount validate[required,custom[number]]" type="text" placeholder="Unit Priece"></td>'+
                        '<td class="span1"><input id="itemqte" onkeyup="calculamountET()"  name="itemqte" class="span12 validate[required,custom[integer]]" type="text" placeholder="Qty"></td>'+
                        '<td class="span1"><input id="itemAmountET" name="itemAmountET" disabled class="span12 amount validate[required]" type="text" placeholder="0.00"></td>'+
                        '<td class="span1"><div  class="input-prepend"><input data-taxid="" id="itemTax" onkeyup="calculamountET()" name="itemTax" class="span6 validate[required, custom[number]]" type="text" placeholder="Tax(%)"><span onclick="taxPopup ()" style="margin-top:0;" id="displayTaxCode"  class="btn add-on">....</span></div></td>'+
                        '<td class="span1"><input id="itemTaxAmount" name="itemTaxAmount" disabled class="span12 amount" type="text" placeholder="0.00"></td>'+
                        '<td class="span1"><input id="itemAmountIT" name="itemAmountIT" disabled class="span12 amount" type="text" placeholder="0.00"></td>'+
                        '<td class="span1">'+
                           '<button class="btn btn-mini btn-primary" onclick="saveParchaseRow()" title="Save" type="button"><span class="icon-ok-circle"></span></button>'+
                            '<button id="btnCancel" class="btn btn-danger btn-mini" onclick="delRowInvoice(this)" type="button"><span class="icon-remove-circle"></span></button>'+
                        '</td>'+
    '</tr>'
    ).insertBefore( "#trInfos" );
    $('#itemComboList').select2();

    }else{
    msg (1,"alert","Please, do save the current details before addind new one");
    }
    }
 
  function getTotal (){
	   
         $("#totalamount").val("0.00");
  
        $("#impotpayable").val("0.00");
  
        $("#totalpayable").val("0.00");
         var n =$("#listDetails > tbody > tr").length-1;
         var totalAmount =0;
         var impot = 0;
         var total = 0;
         for (i=0; i<=n; i++) {
                        totalAmount= totalAmount + accounting.unformat($('#listDetails > tbody > tr:eq(' + i + ') > td:eq(5)').text())*1; 
                        impot= impot + accounting.unformat($('#listDetails > tbody > tr:eq(' + i + ') > td:eq(7)').text()) *1; 
                        total= total + accounting.unformat($('#listDetails > tbody > tr:eq(' + i + ') > td:eq(8)').text())*1; 
         }
	
        // calcul for charge
	
         var n =$("#listCharge > tbody > tr").length-1;
         var totalAmountCharge =0;
         var impotCharge = 0;
         var totalCharge = 0;
         for (i=0; i<=n; i++) {
                        totalAmountCharge= totalAmountCharge + accounting.unformat($('#listCharge > tbody > tr:eq(' + i + ') > td:eq(3)').text())*1; 
                        impotCharge= impotCharge + accounting.unformat($('#listCharge > tbody > tr:eq(' + i + ') > td:eq(5)').text()) *1; 
                        totalCharge= totalCharge + accounting.unformat($('#listCharge > tbody > tr:eq(' + i + ') > td:eq(6)').text())*1; 
         }
	 
         $("#totalamount").val(accounting.formatNumber(totalAmount + totalAmountCharge,2));
  
        $("#impotpayable").val(accounting.formatNumber(impot +  impotCharge,2));
  
        $("#totalpayable").val(accounting.formatNumber(total + totalCharge,2));
	
  }
					
					
function msg(n,type, message){
	
        $("#msg_div"+n +" p").html(message);
        $("#msg_div"+n).attr("class","alert " + type);
}

function delRowInvoice(me){
        var td=me.parentNode;
        var tr=td.parentNode;
        var tBody=tr.parentNode;
        tBody.removeChild(tr);
}

/**function checkformNumber(me){
        var answer ="no";
        $.ajax({
          type: "POST",
          data: "code="+ me.value,
          url: "<?php echo base_url() ?>purchasetransaction/checkformNumber",
          success: function(data) {
                  answer = data;
                  if(data=="yes"){
                          $("#formNo").attr("placeholder","Error: Number exist ...");
                          $("#formNo").val("");
                          msg (1,"alert", "This form number is already used ");
                  }
          }
   });
   return answer;
}
*/

function saveCharge(){
         if( $("#parchaseDetailForm").validationEngine('validate')){
        if ( $("#purchaseInvoiceId").val()=="null"){
                  $.ajax({
                  type: "POST",
                  data: {
                                supplierID : $("#supplier").val(),
                                
                                itemCode:  $("#itemcode").val(),
                                formNo : $("#formNo").val(),
                                shipToID : $("#shiptoAddress").val(),
                                invoiceDate: $("#createdDate").val(),
                                supplierInvoiceNo : accounting.unformat($("#supinvoicenumber").val()),
                                projectID: $("#project").val(),
                                termsID: $("#term").val(),
                                currencyID: $("#currency").val(),
                                exchangeRate : $("#exchange_rate").val(),
                                locationID :  $("#location").val(),
                                shippingMethodID : $("#shippingmethod").val(),
                                employeeID : $("#purchaser").val(),
                                memo : $("#memo").val(),
                                
                                accountNoID : $("#chargeAccount").val(), 
                                lineNo : $("#listCharge").attr("data-currentRow")*1 + 1,
                                itemdescription: $("#chargedesc").val(),
                                amountExcludedTax : accounting.unformat( $("#chargeAmount").val()),
                                taxID: $("#listTax").val(),
                                taxAmount: accounting.unformat($("#chargetaxAmount").val()),
                                amountIncludedTax: accounting.unformat($("#chargeAmountIT").val())
				
                          },
                  url: "<?php echo base_url() ?>purchasetransaction/saveCharge",
                  success: function(data) {
                        var resul = eval ("(" + data + ")"); 
                        $("#purchaseInvoiceId").val(resul.invoiceID);
                        $(''+
                   '<tr><td class="span1">' + ($("#listCharge").attr("data-currentRow")*1 + 1) + '</td>'+
                          '<td>' + $("#chargeAccount option:selected").text() + '</td>'+
                          '<td>' + $("#chargedesc").val() + '</td>'+
                          '<td class="amount">' + accounting.formatNumber($("#chargeAmount").val(),2) + '</td>'+
                          '<td>' + $("#listTax option:selected").text() + '</td>'+
                          '<td class="amount">' + accounting.formatNumber($("#chargetaxAmount").val(),2) + '</td>'+
                          '<td class="amount">' + accounting.formatNumber($("#chargeAmountIT").val(),2) + '</td>'+
                          '<td>'+
                            '</td>'+
                  '</tr>'
                        ).insertBefore( "#trInfosCharge" );
                        var op =$("#listCharge").attr("data-currentRow")*1;
                        $("#listCharge").attr("data-currentRow",op+1);
                        $("#btnCancelCharge").trigger("click");
                        $("#calcul" ).trigger( "click" );
                    msg (2,"alert alert-success","Charge successfully saved");
                        getTotal();
                       /* $.ajax({
                          type: "POST",
                          data: {
                                        invoiceId : $("#purchaseInvoiceId").val(),
                                        totalPayable : $(accounting.unformat("#totalpayable").val()), 
                                        totalTaxAmount : accounting.unformat( $("#totalamount").val())
                                  },
                          url: "<?php echo base_url() ?>purchasetransaction/updateInvoice",
                          success: function(data) {
                                   //update the invoice after delete
                                  }
                          });*/
                  } // function
            });//end ajax
          }else{
                  $.ajax({
                  type: "POST",
                  data: {
                                invoiceId : $("#purchaseInvoiceId").val(),
                                accountNoID : $("#chargeAccount").val(), 
                                itemdescription: $("#chargedesc").val(),
                                amountExcludedTax : accounting.unformat($("#chargeAmount").val()),
                                taxID: $("#listTax").val(),
                                lineNo : $("#listCharge").attr("data-currentRow")*1 + 1,
                                taxAmount: accounting.unformat($("#chargetaxAmount").val()),
                                amountIncludedTax: accounting.unformat($("#chargeAmountIT").val())
				
                          },
                  url: "<?php echo base_url() ?>purchasetransaction/saveChargeDetailOnly",
                  success: function(data) {
                        var resul = eval ("(" + data + ")"); 
                        $(''+
                         '<tr><td class="span1">' + ($("#listCharge").attr("data-currentRow")*1 + 1) + '</td>'+
                          '<td>' + $("#chargeAccount option:selected").text() + '</td>'+
                          '<td>' + $("#chargedesc").val() + '</td>'+
                          '<td class="amount">' + accounting.formatNumber($("#chargeAmount").val(),2) + '</td>'+
                          '<td>' + $("#listTax option:selected").text() + '</td>'+
                          '<td class="amount">' + accounting.formatNumber($("#chargetaxAmount").val(),2) + '</td>'+
                          '<td class="amount">' + accounting.formatNumber($("#chargeAmountIT").val(),2) + '</td>'+
                          '<td>'+
                         '</td>'+
                  '</tr>'
                        ).insertBefore( "#trInfosCharge" );
                 var op =$("#listCharge").attr("data-currentRow")*1;
                        $("#listCharge").attr("data-currentRow",op+1);
                        $("#btnCancelCharge").trigger("click");
                        $("#calcul").trigger( "click" );
                    msg (2,"alert alert-success","Charge successfully saved");
                        getTotal();
                        /*$.ajax({
                          type: "POST",
                          data: {
                                        invoiceId : accounting.unformat($("#purchaseInvoiceId").val()),
                                        totalPayable :accounting.unformat( $("#totalpayable").val()), 
                                        totalTaxAmount : accounting.unformat( $("#totalamount").val()),
                                  },
                          url: "<?php echo base_url() ?>purchasetransaction/updateInvoice",
                          success: function(data) {
                                   //update the invoice after delete
                                  }
                          });*/
                  }
           });//end ajax
          }
  }else {
   msg (2,"alert alert-error", "Data incorrect or invalid ...");
  }
  
  $("#calcul").trigger( "click" );
}


function addRowInvoiceCharge(){
        if (!$("#chargeAccount").length) {
             $(''+
             '<tr><td class="span1">' + ($("#listCharge").attr("data-currentRow")*1 + 1) + '</td>'+
                   '<td class="span2">\n\
        <select name="chargeAccount" id="chargeAccount" class="span12" validate[required]"><option></option>' +
<?php 
if ($chargeAccount) {
    foreach ($chargeAccount as $row) {
        ?>
                                             '<option value="<?php echo $row->ID; ?>"><?php
        echo $row->acctCode . " | ";
        echo str_replace("'", " ", $row->acctName, $count);
        ?></option>'+
    <?php
    }
}
?>
        '</select></td>'+
        '<td class="span4"><input  id="chargedesc" name="chargedesc"  type="text" class="span12 validate[required]" placeholder="Description"></td>'+
        '<td class="span1"><input id="chargeAmount" onkeyup="calculChargeAmount()" name="chargeAmount" class="span12 validate[required, custom[number]]" type="text" placeholder="Amount"></td>'+
        '<td class="span2"><select onclick="calculChargeAmount()" name="listTax" id="listTax"  class= "span12 validate[required]"><option></option>' +
<?php
if ($taxmaster) {
    foreach ($taxmaster as $row2) {
        ?>
        '<option value="<?php echo $row2->ID; ?>" data-tax="' + <?php echo $row2->taxPercentage; ?> + '">' + 
'<?php
        echo $row2->code . " [" . $row2->taxPercentage . "] ";
        ?></option>'+
    <?php
    }
}
?>
                                                         '</select></td>'+
                                                                                                        '<td class="span1"><input id="chargetaxAmount"  name="chargetaxAmount" class="span12" type="text" placeholder="Amount"></td>'+
                                                                                                        '<td class="span1"><input disabled id="chargeAmountIT" name="chargeAmountIT" class="span12" type="text" placeholder="Amount (Exclude Tax)"></td>'+
                                                '<td class="span1">'+
                                                        '<button title="Save" onclick = "saveCharge()" class="btn btn-mini btn-primary" type="button"><span class="icon-ok-circle"></span></button>'+
                                                        '<button onclick="delRowInvoice(this)" id="btnCancelCharge" title="Cancel" class="btn btn-mini btn-danger" type="button"><span class="icon-remove-circle"></span></button>'+
                                                '</td>'+
                    '</tr>'
                                          ).insertBefore( "#trInfosCharge" );
					$('#listTax').select2();
                                        $('#chargeAccount').select2();
                                        $.each($("#listCharge .select2-container"), function (i, n) {
                                            $(n).next().show().fadeTo(0, 0).height("0px").css("left", "auto"); // make the original select visible for validation engine and hidden for us
                                            $(n).prepend($(n).next());
                                            $(n).delay(500).queue(function () {
                                                $(this).removeClass("validate[required]"); //remove the class name from select2 container(div), so that validation engine dose not validate it
                                                $(this).dequeue();
                                            });
                                        });	
 
                                        }else{
                                                msg (2,"alert","Please, do save the current details before addind new one");
                                                }
}

function refreshLocation(){
 $.ajax({
        type: "POST",
        url: "<?php echo base_url() ?>purchasetransaction/refreshLocation",
        success: function(data) {
	
           var resul = eval ("(" + data + ")"); 
           var n=resul.records.length;
           var i=0;
           var opt='' +
                '<option></option>';
                for (i=0;i<n;i++)
                        opt=opt + '<option value="' + resul.records[i].id +'">' + resul.records[i].location + '</option>';
                $('#location').empty();
                $('#location').append(opt);
        }
   });	
}

function calculChargeAmount() { 
        var t = accounting.unformat($("#chargeAmount").val()) * accounting.unformat($("#listTax option:selected").attr("data-tax")) /100;
        $("#chargetaxAmount").val(accounting.formatNumber(t,2));
        $("#chargeAmountIT").val(accounting.formatNumber(t+  $("#chargeAmount").val()*1,2));
}

function deleteCharge(me){
  $('#popupModal').modal('show');
          $("#_popupTitle").html("Confirm delete");
          $("#_popupContent").html("Your about to delete definively this row. <br/> Click on ok to confirm");
	  
          $('#_popupFooter').empty();
                 $('#_popupFooter').append('<button class="btn btn-danger" id="detButton">Ok</button>' +
          '<button class="btn" id="canb">Cancel</button>');
          $("#_popupTitle").html("Confirm delete");
          $( "#canb" ).click(function() {
                  $('#popupModal').modal('hide');
          });
          $( "#detButton" ).click(function() {
                  $('#popupModal').modal('hide');
                  $.ajax({
                  type: "POST",
                  data: {chargeID : $(me).attr("data-ChargeId") },
                  url: "<?php echo base_url() ?>purchasetransaction/deleteCharge",
                  success: function(data) {
                        //  msg (2,"alert alert-success","Data deleted succesfuly ...");
                          var td=me.parentNode;
                          var tr=td.parentNode;
                          var tBody=tr.parentNode;
                          tBody.removeChild(tr);
                          getTotal();
                          $.ajax({
                                type: "POST",
                                data: {
                                          invoiceId : $("#purchaseInvoiceId").val(),
                                          totalPayable : $("#totalpayable").val(), 
                                          totalTaxAmount :  $("#totalamount").val()
                                        },
                                url: "<?php echo base_url() ?>purchasetransaction/updateInvoice",
                                success: function(data) {
                                         //update the invoice after delete
                                        }
                                });
                          }
                  });
          });
	  
          $("#calcul").trigger( "click" );
}

function displaysAdress(){
                $("#shiptoDesc").html("");
                $("#shiptoDesc").html($("#shiptoAddress option:selected").attr("data-line1") +
                                                           "&#10;" + $("#shiptoAddress option:selected").attr("data-line2") +
                                                           "&#10;" + $("#shiptoAddress option:selected").attr("data-line3"));
}

function taxPopup () {
        $('#popupModal').modal('show');
        $("#_popupTitle").html("Purchase Invoice");
        $("#_popupContent").html('' +
          '<label>Select a tax</label>' +
          '<select onclick="calculChargeAmount()" name="listTaxPopup" id="listTaxPopup" style="width:100%;" ><option></option>' +
<?php
if ($taxmaster) {
    foreach ($taxmaster as $row2) {
        ?>
                                             '<option data-taxcode="<?php echo $row2->code ?>" value="<?php echo $row2->ID; ?>" data-tax="' + <?php echo $row2->taxPercentage; ?> + '">' + 
                                                                 '<?php
        echo $row2->code . " | " . $row2->taxPercentage . " | ";
        echo str_replace("'", " ", $row2->name, $count);
        ?></option>'+
    <?php
    }
}
?>
                                                         '</select>');
	$("#listTaxPopup").select2();
        $('#_popupFooter').empty();
           $('#_popupFooter').append('<button class="btn btn-primary" id="confButton">Ok</button>' +
        '<button class="btn" id="canb">Cancel</button>');
        $("#_popupTitle").html("Tax Master");
        $( "#canb" ).click(function() {
                $('#popupModal').modal('hide');
        });
        $( "#confButton" ).click(function() {
                $('#popupModal').modal('hide');
                 $("#itemTax").attr("data-taxid",$("#listTaxPopup").val() );
                 $("#itemTax").val ($("#listTaxPopup option:selected").attr("data-tax"));
                 $("#displayTaxCode").html($("#listTaxPopup option:selected").attr("data-taxcode"));
                 calculamountET();
        });
	
	
}

function refreshpurchaserlist(){
         $.ajax({
        type: "POST",
        url: "<?php echo base_url() ?>employeeSetup/refreshEmployee",
        success: function(data) {
	
           var resul = eval ("(" + data + ")"); 
           var n=resul.records.length;
           var i=0;
           var opt='' +
                '<option></option>';
                for (i=0;i<n;i++)
                        opt=opt + '<option value="' + resul.records[i].id +'">' + resul.records[i].employeeName + '</option>';
                $('#location').empty();
                $('#location').append(opt);
        }
   });	
}

function refreshshippingmethod(){
 $.ajax({
        type: "POST",
        url: "<?php echo base_url() ?>setting/refreshShippingMethod",
        success: function(data) {
	
           var resul = eval ("(" + data + ")"); 
           var n=resul.records.length;
           var i=0;
           var opt='' +
                '<option></option>';
                for (i=0;i<n;i++)
                        opt=opt + '<option value="' + resul.records[i].id +'">' + resul.records[i].name + '</option>';
                $('#shippingmethod').empty();
                $('#shippingmethod').append(opt);
        }
   });		
}

</script>



<div id="content"> 
    <div class="wrap">
        <div class="head">
            <div class="info">
                <h1><?php echo element('compName', $this->session->userdata('logged_in')) ?> [ 
					<?php echo element('compNo', $this->session->userdata('logged_in')) ?> ]</h1>
                <ul class="breadcrumb">
                    <li><a href='<?php echo base_url() . "home" ?>'><?php echo $this->lang->line('dashboard') ?></a> <span class="divider">-</span></li>
                    <li><a href='<?php echo base_url() . "AccountPayables/home" ?>'> <?php echo $this->lang->line('module') ?></a> <span class="divider">-</span></li>
                    <li class="active"><?php echo $this->lang->line('title') ?></li>
                </ul>
            </div>

            <div class="search">
                <form action="<?php echo base_url() ?>admin/search" method="post">
                    <input name="search_text" type="text" placeholder="search..."/>                                
                    <button type="submit"><span class="i-magnifier"></span></button>
                </form>
            </div>        

        </div><!-- head --> 
        <div class="content" id="grid_content_1">
            <form id="parchaseDetailForm" action="#">    
                <div class="row-fluid">
                    <div class="alert alert-info">
                        <strong><?php echo $this->lang->line('title') ?></strong>
                    </div>
                </div>
      	<div class="block">
      	<div class="content">
                <div class="row-fluid scRow">                            
                    <div class="span4 scCol">
                        <div class="block ns" id="grid_block_1">
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('supplier') ?></div>
                                    <div class="span8">
                                        <div class="span12">
                                            <input type="hidden" id="purchaseInvoiceId" value="null"/>
                                            <select class="span10 validate[required]" id="supplier" onchange="loadSupplierDefaultValue(this)">
                                                <option></option>
			<?php
			if ($supplier != '') {
			    foreach ($supplier as $row) {
			        ?>
                                                        <option value="<?php echo $row->ID; ?>"> <?php echo $row->supplierName; ?></option>
    <?php
    }
}
?>
                                            </select>
                                            <div class="btn-group span1">
                                                <button class="btn btn-mini btn-primary dropdown-toggle" data-toggle="dropdown">
                                                    <span class="i-arrow-down-2"></span>
                                                </button>
                                                <ul class="dropdown-menu">
                                                    <!-- dropdown menu links -->
                                                    <li><a target="_blank" href="<?php echo base_url() ?>supplier/SupplierNew"  id="btnNewSupplier">
                                                            <i class="icon-plus-sign"></i> <?php echo $this->lang->line('addNewSupplier') ?></a></li>
                                                    <li><a href="#" onclick="refreshSupplier()" id="btnNewSupplier">
                                                            <i class="icon-refresh"></i><?php echo $this->lang->line('refreshlist') ?></a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div> <!-- row -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('formNo') ?></div>
                                    <div class="span5">
                                        <input class="span12 validate[required]" id="formNo" name="formNo" value='<?php echo "$formNo"; ?>' style="color:red;"   type="text" placeholder="Form number ...">
                                    </div>
                                    <div class="span3">
                                        <input  class="span12"   type="text" placeholder="Serial" disabled="disabled">
                                    </div>
                                </div> <!-- row -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('date') ?></div>
                                    <div class="span8">
                                        <div class="input-prepend span12">
                                            <span class="add-on span2"><i class="i-calendar"></i></span>
                                            <?php
                                            $data = array(
                                                'name' => 'createdDate',
                                                'id' => 'createdDate',
                                                'type' => 'text',
                                                'onkeydown' => 'return false',
                                                'class' => 'span10 datepicker validate[required]',);
                                            echo form_input($data, date(element('dtFormat', $this->session->userdata('logged_in'))));
                                            ?>
                                        </div>
                                    </div>
                                </div> <!-- row -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('supplierInvoiceNo') ?></div>
                                    <div class="span8">
                                        <input id="supinvoicenumber" class="span12 validate[required]" type="text" placeholder="Supplier Invoice Number">
                                    </div><!-- span -->
                                </div> <!-- row -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('project') ?></div>
                                    <div class="span8">
                                        <div class=" span12">
                                            <select id="project" class="span10 validate[required]">
                                                <option></option>
<?php
if ($project != '') {
    foreach ($project as $row) {
        ?>
                                                        <option value="<?php echo $row->ID; ?>"><?php echo $row->project_name; ?></option>
    <?php
    }
}
?>
                                            </select>
                                            <div class="btn-group span1">
                                                <button class="btn btn-mini btn-primary  dropdown-toggle" data-toggle="dropdown">
                                                    <span class="i-arrow-down-2"></span>
                                                </button>
                                                <ul class="dropdown-menu">
                                                    <!-- dropdown menu links -->
                                                    <li><a target="_blank" href="<?php echo base_url() ?>project/ProjectSetup"  id="btnNewPro">
                                                            <i class="icon-plus-sign"></i><?php echo $this->lang->line('addNewProject') ?></a></li>
                                                    <li><a href="#" onclick="refreshProject()"><i class="icon-refresh"></i><?php echo $this->lang->line('refreshlist') ?></a>
                                                    </li>
                                                </ul>
                                            </div> <!-- btn group -->
                                        </div> <!-- append -->
                                    </div><!-- span -->

                                </div> <!-- row control -->
                        </div><!-- grid block 1-->
                    </div><!-- scCol -->
                    <div class="span4 scCol">
                        <div class="block ns" id="grid_block_2">
                                <div class="controls-row">

                                    <div class="span4"><?php echo $this->lang->line('location') ?></div>
                                    <div class="span8">
                                        <div class=" span12">
                                            <select class="span10 validate[required]" id="location">
                                                <option></option>
<?php
if ($location != '') {
    foreach ($location as $row) {
        ?>
                                                        <option value="<?php echo $row->fldid; ?>"><?php echo $row->code . " | " . $row->address . " | " . $row->city; ?></option>
    <?php
    }
}
?>
                                            </select>
                                            <div class="btn-group span1">
                                                <button class="btn btn-small btn-primary dropdown-toggle" data-toggle="dropdown">
                                                    <span class="caret"></span>
                                                </button>
                                                <ul class="dropdown-menu">
                                                    <!-- dropdown menu links -->
                                                    <li><a target="_blank" href="<?php echo base_url() ?>setting/location"  id="btnLocation">
                                                            <i class="icon-plus-sign"></i><?php echo $this->lang->line('addLocation') ?></a></li>
                                                    <li><a href="#" onclick="refreshLocation()"><i class="icon-refresh"></i><?php echo $this->lang->line('refreshlist') ?></a></li>
                                                </ul>
                                            </div>
                                        </div> <!-- btnn group -->
                                    </div>
                                </div>

                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('terms') ?></div>
                                    <div class="span8">
                                        <div class=" span12">
                                            <select id="term" onchange="getTermDescription(this)" class="span10 validate[required]">
                                                <option></option>
<?php
if ($terms != '') {
    foreach ($terms as $row) {
        ?>
                                                        <option value="<?php echo $row->ID; ?>"><?php echo $row->termName; ?></option>
    <?php
    }
}
?>
                                            </select>
                                            <div class="btn-group span1">
                                                <button class="btn btn-mini btn-primary dropdown-toggle" data-toggle="dropdown">
                                                    <span class="i-arrow-down-2"></span>
                                                </button>
                                                <ul class="dropdown-menu">
                                                    <!-- dropdown menu links -->
                                                    <li><a target="_blank" href="<?php echo base_url() ?>term/termSetup"  id="btnNewTer">
                                                            <i class="icon-plus-sign"></i><?php echo $this->lang->line('addNewTerms') ?></a></li>
                                                    <li><a href="#" onclick="refreshTerms()"><i class="icon-refresh"></i><?php echo $this->lang->line('refreshlist') ?></a>
                                                    </li>
                                                </ul>
                                            </div><!-- btn group -->
                                        </div><!-- append -->
                                    </div><!-- span -->

                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('termsdesc') ?></div>
                                    <div class="span8">
                                        <textarea style="height: 123px; " disabled="disabled" id="termDescription" class="span12">
                                        </textarea>
                                    </div><!-- span -->
                                </div><!-- row control -->
                        </div><!-- grid block 1-->
                    </div><!-- scCol -->
                    <div class="span4 scCol">
                        <div class="block ns" id="grid_block_3">
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('shipto') ?></div>
                                    <div class="span8">
                                        <select id="shiptoAddress" onchange ="displaysAdress()" class="span12 validate[required]">
                                            <option data-line1="" data-line2="" data-line3="" data-postcode=""></option>
<?php
if ($shipto != '') {
    foreach ($shipto as $row) {
        ?>
                                                    <option  data-line1="<?php echo $row->line1 ?>" data-line2="<?php echo $row->line2 ?>" data-line3="<?php echo $row->line3 ?>" data-postcode="<?php echo $row->postCode ?>" value="<?php echo $row->ID; ?>">
        <?php echo $row->addressName . " | " . $row->city; ?></option>
    <?php
    }
}
?>
                                        </select>
                                    </div><!-- span -->
                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('shiptoDesc') ?></div>
                                    <div class="span8">
                                        <textarea style="height: 75px;" disabled="disabled"ssss id="shiptoDesc" class="span12">
                   		
                                        </textarea>
                                    </div><!-- span -->
                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('currency') ?></div>
                                    <div class="span8">
                                        <input id="currency" name="currency" type="text" placeholder="Currency" disabled class="span12 validate[required,minSize[5],maxSize[10]]">            
                                    </div><!-- span -->
                                </div><!-- control row -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('exchangeRate') ?></div>
                                    <div class="span8">
                                        <input class="span12" id="exchange_rate" name="exchange_rate" type="text" placeholder="Example: 3.2" >           
                                    </div><!-- span -->
                                </div><!-- control row -->
                        </div><!-- grid block 1-->
                    </div><!-- scCol -->
                </div><!-- row-fluid scRow-->
                </div><!-- row-fluid scRow-->
                </div><!-- row-fluid scRow-->
                <div class="row-fluid scRow">                            
                    <div class="span12 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="head">
                                <h2><?php echo $this->lang->line('items') ?></h2>
                                <ul class="buttons">
                                    <li><a class="block_toggle collapsed" data-toggle="collapse" data-parent="#accordion2" href="#collapseOne">
                                            <span class="i-arrow-down-3"></span></a></li>
                                </ul>                                        
                            </div><!-- head -->
                            <div class="content np">
                                <table data-currentRow="0" id="listDetails" cellpadding="0" cellspacing="0" width="100%">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th><?php echo $this->lang->line('item') ?></th>
                                            <th><?php echo $this->lang->line('itemDesc') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('unitPrice') ?></th>
                                            <th><?php echo $this->lang->line('quantity') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('amountExcludeTax') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('amountTax') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('taxAmount') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('amountIncludeTax') ?></th>
                                            <th><?php echo $this->lang->line('action') ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr id="trInfos">
                                            <td colspan="11">
                                                <div id="msg_div1" class="alert alert-info">
                                                    <h4><?php echo $this->lang->line('lastMessage') ?></h4>
                                                    <p style="padding-top:10px;"><?php echo $this->lang->line('noMessage') ?></p>
                                                </div>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                                <div class="footer">
                                    <div class="side fr">
                                        <div class="btn-group">
                                            <button style="margin-right:6px;" onclick="$('#parchaseDetailForm').validationEngine('hide');" class="btn btn-mini" type="button" name="validat">Hide prompts</button>
                                            <button id="addRow" onclick="addRowInvoice()" class="btn btn-mini btn-primary" type="button">
                                                <i class="icon-plus-sign"></i><?php echo $this->lang->line('addNewDetails') ?></button>
                                        </div><!-- btn group -->      
                                    </div><!-- side fr -->      
                                </div><!-- footer -->      
                            </div><!-- content -->
                        </div><!-- grid block 1-->
                    </div><!-- scCol -->
                </div><!-- row-fluid scRow-->
                <div class="row-fluid scRow">                            
                    <div class="span12 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="head">
                                <h2><?php echo $this->lang->line('charge') ?></h2>
                                <ul class="buttons">
                                    <li><a class="block_toggle" data-toggle="collapse" data-parent="#accordion2" href="#collapseTwo">
                                            <span class="i-arrow-down-3"></span></a></li>
                                </ul>                                        
                            </div><!-- head -->
                            <div class="content np">
                                <table data-currentRow="0" id="listCharge" cellpadding="0" cellspacing="0" width="100%">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th><?php echo $this->lang->line('account') ?></th>
                                            <th><?php echo $this->lang->line('description') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('amount') ?></th>
                                            <th><?php echo $this->lang->line('tax') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('taxAmount') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('amountIncludeTax') ?></th>
                                            <th><?php echo $this->lang->line('action') ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr id="trInfosCharge">
                                            <td colspan="8">
                                                <div id="msg_div2" class="alert alert-info">
                                                    <h4><?php echo $this->lang->line('lastMessage') ?></h4>
                                                    <p style="padding-top:10px;"><?php echo $this->lang->line('noMessage') ?></p>
                                                </div>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                                <div class="footer">
                                    <div class="side fr">
                                        <div class="btn-group">
                                            <button style="margin-right:6px;" onclick="$('#parchaseDetailForm').validationEngine('hide');" class="btn btn-mini" type="button" name="validat">Hide prompts</button>
                                            <button id="addRowCharge" onclick="addRowInvoiceCharge()" class="btn btn-mini btn-primary" type="button">
                                                <i class="icon-plus-sign"></i><?php echo $this->lang->line('addNewCharge') ?></button>

                                        </div><!-- btn group -->      
                                    </div><!-- side fr -->      
                                </div><!-- footer -->      
                            </div><!-- content -->

                        </div><!-- grid block 1-->
                    </div><!-- scCol -->
                </div><!-- row-fluid scRow-->
                <div class="row-fluid scRow"> 
                    <div class="span7 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="content np">
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('shippingmethod') ?></div>
                                    <div class="span8">
                                        <div class="span12">
                                            <select id="shippingmethod"  class="span11 validate[required]">
                                                <option></option>
<?php
if ($shippingmethod != '') {
    foreach ($shippingmethod as $row) {
        ?>
                                                        <option value="<?php echo $row->ID; ?>"><?php echo $row->name; ?></option>
    <?php
    }
}
?>
                                            </select>
                                            <div class="span1 btn-group">
                                                <button class="btn btn-mini btn-primary dropdown-toggle" data-toggle="dropdown">
                                                    <span class="i-arrow-down-2"></span>
                                                </button>
                                                <ul class="dropdown-menu">
                                                    <!-- dropdown menu links -->
                                                    <li><a target="_blank" href="<?php echo base_url() ?>setting/masterCodeSetup">
                                                            <i class="icon-plus-sign"></i><?php echo $this->lang->line('newshippingmethod') ?></a></li>
                                                    <li><a href="#" onclick="refreshshippingmethod()"><i class="icon-refresh"></i><?php echo $this->lang->line('refreshlist') ?></a>
                                                    </li>
                                                </ul>
                                            </div><!-- btn group -->
                                        </div><!-- append -->
                                    </div><!-- span -->

                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('purchaser') ?></div>
                                    <div class="span8">
                                        <div class=" span12">


                                            <select class="span11 validate[required]" id="purchaser">
                                                <option></option>
<?php
if ($purchaser != '') {
    foreach ($purchaser as $row) {
        ?>
                                                        <option value="<?php echo $row->ID; ?>"> <?php echo $row->employeeName; ?></option>
    <?php
    }
}
?>
                                            </select>
                                            <div class="span1 btn-group">
                                                <button class="btn btn-mini btn-primary dropdown-toggle" data-toggle="dropdown">
                                                    <span class="i-arrow-down-2"></span>
                                                </button>
                                                <ul class="dropdown-menu">
                                                    <!-- dropdown menu links -->
                                                    <li><a target="_blank" href="<?php echo base_url() ?>employeeSetup/EmployeeNew"  id="EmployeeNew">
                                                            <i class="icon-plus-sign"></i> <?php echo $this->lang->line('newpurchaser') ?></a></li>
                                                    <li><a href="#" onclick="refreshpurchaserlist()" id="btnNewSupplier">
                                                            <i class="icon-refresh"></i><?php echo $this->lang->line('refreshlist') ?></a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div><!-- row control -->

                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('memo') ?></div>
                                    <div class="span8">
                                        <textarea style="height: 75px;" id="memo" class="span12"></textarea>
                                    </div><!-- span -->
                                </div><!-- row control -->

                            </div>    
                        </div><!-- grid block 1-->
                    </div><!-- scCol -->        
                    <div class="span5 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="content np">
                                <div class="controls-row">

                                    <div class="span4"><?php echo $this->lang->line('totalAmount') ?></div>
                                    <div class="span8">
                                        <input id="totalamount" class="span12 amount" type="text" placeholder="0.00" disabled="disabled" >
                                    </div>
                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('importDutyPayable') ?></div>
                                    <div class="span8">
                                        <input id="impotpayable" class="span12 amount" type="text" disabled="disabled"  placeholder="0.00">
                                    </div>
                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('totalPayable') ?></div>
                                    <div class="span8">
                                        <input id="totalpayable" disabled="disabled"  class="span12 amount" type="text" placeholder="0.00">
                                    </div>
                                </div><!-- row control -->
                                <div class="footer">
                                    <div class="side fr">
                                        <div class="btn-group">
                                            <button id="calcul" onclick="getTotal()" class="btn btn-mini btn-warning" type="button"> 
                                                <i class="icon-ok-circle"></i><?php echo $this->lang->line('calTotal') ?></button>

                                        </div><!-- btn group -->      
                                    </div><!-- side fr -->      
                                </div><!-- footer -->   
                            </div>    
                        </div><!-- grid block 1-->
                    </div><!-- scCol -->
                </div><!-- row-fluid scRow-->
            </form>
        </div><!-- grid 1 -->
    </div><!-- wrap -->
</div><!-- content -->



